#
# For further details regarding this file,
# see http://www.vtk.org/Wiki/CMake_Testing_With_CTest#Customizing_CTest
#

set(CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE   0)
set(CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE   0)
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_ERRORS        500)
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_WARNINGS      500)

# Files to explicitly exclude from code coverage
set(CTEST_CUSTOM_COVERAGE_EXCLUDE
 ${CTEST_CUSTOM_COVERAGE_EXCLUDE}

 # Exclude the internal BLAS libraries
 "/BLAS/"

 # Exclude the testing code itself from code coverage
 "/TESTING/"
)

# Warnings to explicitly ignore
set(CTEST_CUSTOM_WARNING_EXCEPTION
  ${CTEST_CUSTOM_WARNING_EXCEPTION}

  # Common warning when linking ATLAS built with GNU Fortran 4.1 and building
  # with GNU Fortran 4.4.  It can be safely ignored.
  "libgfortran.*may conflict with libgfortran"

  # Harmless warning often seen on IRIX
  "WARNING 84 : .*libm.* is not used for resolving any symbol"

  # Warnings caused by sun compilers when building code to only run on your
  # native platform
  "xarch=native on this architecture implies -xarch=.*which generates code that does not run"

  # Harmless warnings from the Intel compiler on Windows
  "ipo: warning #11010: file format not recognized for .*\\.exe\\.embed\\.manifest\\.res"
  "LINK : warning LNK4224: /INCREMENTAL:YES is no longer supported;  ignored"

  # Warnings caused by string truncation in the test code.  The truncation is
  # intentional
  "Character string truncated to length 1 on assignment"

  # Warnings caused by NFS build directories have out-of-sync times
  "Warning: File .* has modification time .* in the future"
)

# Only run post test if suitable python interpreter was found
set(PYTHON_EXECUTABLE  )
if(PYTHON_EXECUTABLE)
  set(CTEST_CUSTOM_POST_TEST "${PYTHON_EXECUTABLE} ./lapack_testing.py -s -d TESTING")
endif()

